Summary: Media Metadata for Python
Name: mmpython
Version: 0.4.10
Release: 6%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://sourceforge.net/projects/mmpython/
Source0: http://prdownloads.sourceforge.net/mmpython/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel >= 2, python >= 2
BuildRequires: libdvdread-devel
Requires: python >= 2, libdvdread

%description
MMPython is a Media Meta Data retrieval framework. It retrieves
metadata from mp3, ogg, avi, jpg, tiff and other file formats. Among
others it thereby parses ID3v2, ID3v1, EXIF, IPTC and Vorbis data into
an object oriented struture.

%prep
%setup -q

%build
CFLAGS="%{optflags}" python setup.py build
#doc/generate

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING CREDITS README
%{python_sitearch}/mmpython
%{_bindir}/mminfo

%changelog
* Tue Nov 21 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.4.10-6
- Update to 0.4.10.

* Tue Jun 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.4.4.

* Sat May 15 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.4.2.

* Tue Apr 13 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.4.

* Tue Nov  4 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
